Subject: RE: [Diffserv] diffserv-model-03

From: Andrew Smith <[email-masked]>
Date: Fri, 26 May 2000 11:13:39 -0700

It's only an example. But I guess we shouldn't encourage people if it is
something that is frowned on - should I replace it with a "legacy IP
Precedence" example perhaps? (only slightly kidding).

Andrew

> -----Original Message-----
> From:	John Schnizlein [SMTP:[email-masked]]
> Sent:	Wednesday, May 24, 2000 5:04 PM
> To:	Diff Serv
> Subject:	[Diffserv] diffserv-model-03
> 
> Is the type of Masked-DSCP consistent with the prohibition against
> treating DSCP values as structured rather than as arbitrary values?
> Section 4.1.2 of the model seems to encourage something other than 
> MUST match against the entire 6-bit field requirement in RFC 2474.
> 
> excerpts from both documents follow:
> 
> diffserv-model-03:
> 4.1.2.  Overlapping Filters
> 
> Note that it is easy to define sets of overlapping filters in a
> classifier. For example:
> 
>       Filter5:
>       Type:   Masked-DSCP
>       Value:  111000
>       Mask:   111000
> 
> RFC 2474 Differentiated Services Field:       
>    Implementors should note that the DSCP field is six bits wide.  DS-
>    compliant nodes MUST select PHBs by matching against the entire 6-bit
>    DSCP field, e.g., by treating the value of the field as a table index
>    which is used to select a particular packet handling mechanism which
>    has been implemented in that device.  The value of the CU field MUST
>    be ignored by PHB selection.  The DSCP field is defined as an
>    unstructured field to facilitate the definition of future per-hop
>    behaviors.
> 
> 
> _______________________________________________
> diffserv mailing list
> [email-masked]
> http://www1.ietf.org/mailman/listinfo/diffserv
> Archive: http://www-nrg.ee.lbl.gov/diff-serv-arch/

_______________________________________________
diffserv mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/diffserv
Archive: http://www-nrg.ee.lbl.gov/diff-serv-arch/

---

From: John Schnizlein <[email-masked]>
Date: Fri, 26 May 2000 14:45:10 -0400

Yes, an example of how to transition from TOS precedence into
Class Selectors would be much better, and would avoid the
implication that masking (or any other numerical operation)
on DS code points is acceptable.

John

At 11:13 AM 05/26/2000 -0700, Andrew Smith wrote:
>It's only an example. But I guess we shouldn't encourage people if 
>it is something that is frowned on - should I replace it with a 
>"legacy IP Precedence" example perhaps? (only slightly kidding).
>